Subject: bug#74994: Improve Emacs iCalendar support

From: Jean Louis <[email-masked]>
Date: Mon, 23 Dec 2024 17:49:20 +0300

* Richard Lawrence <[email-masked]> [2024-12-23 11:44]:
> Anyway, as I said in my initial post, I think that a more robust
> iCalendar implementation belongs in Emacs core. There are already
> *three* partial implementations in Emacs, but they are all incomplete
> and support different applications (Gnus, Org, and diary). The reason
> for this, I believe, is that the current icalendar.el is not well
> documented and somewhat difficult to extend. The idea here is to provide
> a library that all three of these applications, as well as third party
> packages, can more easily use.

I find iCalendar for compatibility with other software very useful.

I don't know how to apply your patch. Can you tell me step by step?

I am using development Emacs version, is patch for it?

-- 
Jean Louis